Bug 17493 - Improve OAI Server tests
Summary: Improve OAI Server tests
Status: CLOSED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 15108
  Show dependency treegraph
 
Reported: 2016-10-24 14:56 UTC by Frédéric Demians
Modified: 2017-02-20 07:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17493 Improve OAI Server tests (10.49 KB, patch)
2016-10-24 15:04 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17493 Improve OAI Server tests (10.34 KB, patch)
2016-10-24 15:11 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17493 Improve OAI Server tests (9.56 KB, patch)
2016-10-25 07:01 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 17493 Improve OAI Server tests (12.00 KB, patch)
2016-10-25 15:30 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17493 Improve OAI Server tests (12.07 KB, patch)
2016-11-03 11:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17493 Improve OAI Server tests (12.15 KB, patch)
2016-12-09 09:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17493: [QA Follow-up] Foreach loop and module (2.80 KB, patch)
2016-12-09 09:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2016-10-24 14:56:35 UTC
Required to help validate bug 15108.
Comment 1 Frédéric Demians 2016-10-24 15:04:01 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-10-24 15:11:48 UTC Comment hidden (obsolete)
Comment 3 Frédéric Demians 2016-10-25 07:01:04 UTC Comment hidden (obsolete)
Comment 4 Frédéric Demians 2016-10-25 15:30:57 UTC
Created attachment 56843 [details] [review]
Bug 17493 Improve OAI Server tests

Add several tests for OAI Servers.

TEST PLAN:

- Check that after aplying this patch, this still works:

  prove -v t/db_dependent/OAI/Server.t

- Read the test to see what has been added:

  - Testing process simplification
  - ListIdentifiers verb with resumption token, until the whole catalog
    is harvested
  - ListRecords verb with resumption token, until the whole catalog is
    harvested
  - Returned metadata returned is tested, marcxml & oai_dc
Comment 5 Josef Moravec 2016-11-03 11:04:05 UTC
Created attachment 57126 [details] [review]
[SIGNED-OFF] Bug 17493 Improve OAI Server tests

Add several tests for OAI Servers.

TEST PLAN:

- Check that after aplying this patch, this still works:

  prove -v t/db_dependent/OAI/Server.t

- Read the test to see what has been added:

  - Testing process simplification
  - ListIdentifiers verb with resumption token, until the whole catalog
    is harvested
  - ListRecords verb with resumption token, until the whole catalog is
    harvested
  - Returned metadata returned is tested, marcxml & oai_dc

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Marcel de Rooy 2016-12-09 09:40:33 UTC
Created attachment 58054 [details] [review]
Bug 17493 Improve OAI Server tests

Add several tests for OAI Servers.

TEST PLAN:

- Check that after aplying this patch, this still works:

  prove -v t/db_dependent/OAI/Server.t

- Read the test to see what has been added:

  - Testing process simplification
  - ListIdentifiers verb with resumption token, until the whole catalog
    is harvested
  - ListRecords verb with resumption token, until the whole catalog is
    harvested
  - Returned metadata returned is tested, marcxml & oai_dc

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-12-09 09:40:38 UTC
Created attachment 58055 [details] [review]
Bug 17493: [QA Follow-up] Foreach loop and module

Few cosmetic changes.
Removed TestBuilder. Rearranged modules (added one). Whitespace changes.
For loop instead of a map statement.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2016-12-09 17:25:51 UTC
Blocking it temporarily; should be pushed together with 15108 due to the truncates.
Comment 9 Ere Maijala 2017-02-15 13:53:05 UTC
Thanks for extending the tests. I'm going to incorporate them and their fixes into an upcoming patch to bug 15108 if that's ok for everyone. I'm afraid I'll lost track of the patches around otherwise.
Comment 10 Marcel de Rooy 2017-02-20 07:41:27 UTC
Closed in favor of bug 15108